### jfcloud前端工具包说明 

| **导出属性** | **使用方法**                                                 |
| ------------ | ------------------------------------------------------------ |
| mixins       | 混入                                                         |
| components   | 在vue文件components注册组件                                  |
| setupPlugins | 在main.js处使用  `setupPlugins(Vue, {   AntiDebugPlugin: {     enableAntiDebug: process.env.NODE_ENV !== "development",   }, });` |
| loginEncrypt | 登录加密功能，用于加密登录信息 `import { loginEncrypt } from '@jfcloudvip/front-toolkit';` |

mixins：

| **属性**   | **说明**                    | **回调参数**                                                 |
| ---------- | --------------------------- | ------------------------------------------------------------ |
| checkToken | 定期检查当前用户的token状态 | function({ url, token, interval }){ } url 默认 /auth/token/check_token token 默认使用项目中的this.$store.getters["user/token"]interval 默认 30s 单位ms |


 components：

| **组件**          | **说明**                     | **props**               |
| ----------------- | ---------------------------- | ----------------------- |
| BrowserTypePrompt | 检测浏览器是不是Edge或者谷歌 | 无                      |
| ExpireModel       | 授权检测                     | licenseInfo：许可证信息 |



setupPlugins：

| **组件**        | **说明**   | **options**                                                  |
| --------------- | ---------- | ------------------------------------------------------------ |
| AntiDebugPlugin | 反调试插件 | {  enableAntiDebug：启用反调试   antiDebugKey：内部调试key 默认 jfcloudjfcloud} |


style: (非导出，自行按照文件结构导入 `@jfcloudvip/front-toolkit/style/...`)

| **组件**        | **说明**                   |
| --------------- | ----------                 |
| reset-el-input  | 重置el-input长度显示的位置 |