import BrowserTypePrompt from "./BrowserTypePrompt/index.vue";
import ExpireModel from "./ExpireModel/index.vue";
import RichTextEditor from "./RichTextEditor/index.vue";
import {
  initUploadImage,
  initEditorConfig,
  initToolbarConfig,
} from "./RichTextEditor/initData.js";

/**
 * 富文本配置项
 */
const RichTextOption = {
  initUploadImage,
  initEditorConfig,
  initToolbarConfig,
};

export { BrowserTypePrompt, ExpireModel, RichTextEditor, RichTextOption };
