import Nopadding from 'crypto-js/pad-nopadding'; //这里使输出HEX格式
import CFB from 'crypto-js/mode-cfb'; //CFB模式
import { AES } from 'crypto-js';
import Utf8 from 'crypto-js/enc-utf8';
import Base64 from 'crypto-js/enc-base64';
import Hex from 'crypto-js/enc-hex';

const KEY = 'jfcloud6jfcloud6';
const Key = Utf8.parse(KEY);

/**
 * @description RSA加密(支持长字符加密)
 * @param data
 * @returns {Promise<{param: PromiseLike<ArrayBuffer>}|*>}
 */
export async function encryptedData(data) {
  // 加密
  var ciphertext = AES.encrypt(data, Key, {
    iv: Key,
    mode: CFB,
    padding: Nopadding,
  });
  let result = ciphertext.ciphertext.toString(); //这里返回的是HEX格式
  const encodedPassword = Base64.stringify(Hex.parse(result));
  return encodedPassword;
}
